Subject: [core] FW: New Version Notification for draft-arkko-core-sleepy-sensors-00.txt

From: Jari Arkko <[email-masked]>
Date: Mon, 04 Jul 2011 16:41:07 +0300

FYI. Comments appreciated.

http://tools.ietf.org/html/draft-arkko-core-sleepy-sensors-00

> Filename:	 draft-arkko-core-sleepy-sensors
> Revision:	 00
> Title:		 Implementing Tiny COAP Sensors
> Creation date:	 2011-07-04
>
> Abstract:
>    The authors are developing COAP and IPv6-based sensor networks for
>    environments where lightweight implementations, long battery
>    lifetimes, and minimal management burden are important.  The memo
>    shows how different communication models supported by COAP affect
>    implementation complexity and energy consumption, far more so than
>    mere changes in message syntax.  Our prototype implements a
>    multicast-based IPv6, UDP, COAP, and XML protocol stack in less than
>    50 assembler instructions.  While this extremely minimal
>    implementation is suitable only for limited applications and makes a
>    number of assumptions, the general conclusions point to need for
>    further work in developing the COAP multicast and observation
>    frameworks.
>